.mainheader {
  -webkit-transition: 0.3s;
  transition: 0.3s;
  position: relative;
  z-index: 10;
  width: 100%;
}

.top-header {
  background-color: #16254C;
  height: 70px;
}

.top-right-links li>a,
.top-left-links li>a {
  /* margin-right: 20px; */
  color: var(--white);
  font-size: 14px;
  letter-spacing: 0.56px;
  line-height: 1.2;
  display: inline-flex;
  height: 100%;
  align-items: center;
  text-transform: uppercase;
  position: relative;
}

.top-left-links a:hover,
.top-right-links a:hover {
  color: var(--theme-color)
}

.nav-logo {
  position: absolute;
  margin: -75px auto 0 11%;
  margin-top: 0;
  left: 0px;
  bottom: 3px;
  flex-grow: 1;

}

.nav-logo>a {
  display: inline-flex;
  align-items: center;
  height: 100%;
}

.top-right-links,
.top-left-links {
  display: inline-flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
}

.top-right-links {
  justify-content: flex-end;
}

.top-right-links>li,
.top-left-links>li {
  /* height: 100%; */
  display: inline-flex;
  flex-wrap: wrap;
  overflow: hidden;
}

.top-right-links>li:last-of-type,
.top-left-links>li:last-of-type {
  margin-right: 0px;
}

.top-right-links>li>.call-link {
  font-size: 16px;
}

.top-right-links li>a>span {
  display: inline-flex;
  font-size: 20px;
  margin-right: 9px;
  align-items: center;
}

.top-right-links li>a.favorite:hover>span,
.top-right-links li>a.accout-link:hover>span,
.top-right-links li>a.accout-link_cart:hover>span {
  background: var(--theme-color);
}

.h_wrapper {
  padding: 0 15px;
  margin: 0 auto;
  width: 100%;
  max-width: 1530px;
  height: 100%;
  display: flex;
  justify-content: flex-end;
  position: static;
}

.main-menu-wrap {
  background-color: var(--white)
}

.htop-menu-link>li {
  margin-right: 0;
  padding: 7px 40px;
  border-left: 1px solid rgba(255, 255, 255, 0.1);
  height: 100%;
}

.main-menu>li.hedden {
  display: none;
}

.header_topwrap .inline:not(:last-of-type) {
  margin-right: 30px;
}

.htop-menu-link>li>a i {
  font-size: 15px;
}

.htop-menu-link>li>a:after,
.nav-menu-wrapper .main-menu>li>a:after,
/* .nav-menu-wrapper .main-menu > li > .sub-menu > li > a:after, */
.htop_right .call a:after,
.contact-list li a::after,
.ft-col-1 .social-link span::after {
  display: block;
  content: "";
  position: absolute;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  -webkit-transition-timing-function: cubic-bezier(0.58, 0.3, 0.005, 1);
  transition-timing-function: cubic-bezier(0.58, 0.3, 0.005, 1);
  bottom: 0px;
  background-color: var(--theme-color);
  width: 10px;
  height: 2px;
  left: -webkit-calc(100% + 20px);
  left: calc(100% + 20px);
  opacity: 0;
}

.ft-col-1 .social-link span::after {
  height: 1px;
}

.htop_right .call a:after,
.ft-col-1 .social-link span::after {
  background-color: #ffffff;
}

.htop-menu-link>li>a:hover:after,
.nav-menu-wrapper .main-menu>li:hover>a:after,
.nav-menu-wrapper .main-menu>li>.sub-menu>li:hover>a:after,
.htop_right .call a:hover:after,
.contact-list li a:hover::after,
.ft-col-1 .social-link:hover span::after,
.ptag p a:hover::after,
.ptag ul li a:hover::after,
.ptag ol li a:hover::after {
  width: 100%;
  left: 0;
  opacity: 1;
  transition: 1s;
}

p a:hover,
ul li a:hover,
ol li a:hover {
  text-decoration: none;
}

.search-header {
  position: relative;
}

.search-header form input {
  background-color: #eeeeee;
  border-radius: 4px;
  width: 331px;
  position: relative;
  border: 0;
  outline: none;
  outline: 2px solid transparent;
  padding: 15px 40px 15px 20px;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

input#email:focus {
  background: #fff;
  border: 1px solid #eee;
  box-shadow: 0px 2px 3px 2px #e4e1e31c;
  outline: 2px solid #000;
}

.count-item {
  background-color: #fe0000;
  position: absolute;
  min-width: 12px;
  min-height: 12px;
  border: 2px solid #fff;
  border-radius: 100%;
  right: 3px;
  top: -12px;
  padding: 2px;
  font-size: 10px !important;
  color: #fff !important;
}

.count-item:empty {
  top: -4px;
  right: 5px;
}

/* ti_homeimprovement */

.top-right-links>li>.time_info {
  display: inline-flex;
  color: white;
  margin-right: 60px;
  font-size: 14px;
  font-weight: normal;
  letter-spacing: 0.28px;
  line-height: 20px;
  align-items: center;
}

.top-right-links>li>.time_info .img-wrap {
  margin: auto 10px auto 0;
}

.wishlist-link>span,
.accout-link>span,
.favorite>span,
.accout-link_cart>span {
  height: 42px;
  width: 42px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 100%;
}

.top-right-links>li>label {
  font-size: 14px;
  color: #ffffff;
  line-height: 1.2;
  letter-spacing: 0.28px;
  width: 100%;
  font-weight: 500;
  text-transform: uppercase;
  margin-top: 17px;
}

.log_in-wrap {
  margin-bottom: 17px;
  line-height: 1;
}

.log_in-wrap>a,
.log_in-wrap>span {
  font-size: 14px;
  font-weight: normal;
  color: #ffffff;
  line-height: 1;
  align-items: top;
  display: inline-flex;
}

.accout_wrap {
  max-width: 100px;
  margin-right: 20px;
}

.cart_text {
  font-size: 14px;
  color: #ffffff;
  line-height: 1.2;
  letter-spacing: 0.28px;
  font-weight: 500;
  margin: auto 0px;
}

.cart_text>.price {
  font-weight: normal;
}

.nav-menu-wrapper .main-menu>li>a>i:not(.menudrop) {
  margin-right: 10px;
}

.get-in-touch-title {
  font-size: 16px;
  text-transform: uppercase;
  color: #FFFFFF;
  margin-bottom: 10px;
  letter-spacing: 0.32px;
  font-weight: 600;
}

.hidden.menu-bottom-detail {
  background-color: #081434;
  padding-top: 20px;
  position: relative;
}

.hidden.menu-bottom-detail::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: 100px;
  height: 00;
  width: 100%;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}

.manu-contact-info {
  display: flex;
  flex-direction: column;
  row-gap: 12px;
  margin-bottom: 20px;
}

.manu-contact-info .ft_address {
  line-height: 20px;
}

.hidden.menu-bottom-detail .payment_methods_wrap {
  display: flex;
  justify-content: center;
  column-gap: 5px;
  margin-bottom: 20px;
}

.hidden.menu-bottom-detail .payment-title {
  padding-top: 20px;
}

.top-right-links>li.mobile_search {
  display: none;
}

/* area-manu */
.main-menu>li>.sub-menu {
  DISPLAY: FLEX;
  flex-direction: column;
  align-items: center;
  min-height: 434px;
  background-color: #ffffff;
}

.el-depth-1 {
  position: static;
  margin-right: 700px;
  margin-bottom: 0px !important;
}

.el-depth-1>a {
  padding: 15px 10px 15px 0px;
  display: inline-flex;
  min-width: 250px;
  align-items: center;
  position: relative;
  border-bottom: 1px solid var(--theme-color);
}

.el-depth-1:not(.menu-item-hover) .lvl-depth-1 {
  display: none;
}

ul.sub-menu.lvl-depth-1.childmenu {
  position: absolute;
  left: calc(0% + 250px);
  top: 0;
  max-width: 700px;
  min-width: auto;
  height: 100%;
  overflow: hidden;
  column-count: 2;
  z-index: 2;
  border-radius: 0px;
  background-color: #ffffff;
  border-bottom: 2px solid var(--theme-color);
  padding-top: 20px;
  padding-top: 12px;
}

/* area-manu */
/* ti_homeimprovement */


.nav-menu-wrapper {
  display: inline-flex;
}

.inner-banner {
  min-height: 300px;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  z-index: 1;
  align-items: center;
  background-color: #090d11;
  z-index: 2;
}

/* .inner-banner .head-service-sec { display: block; max-width:100%;} */
.inner-banner .service-cat-list {
  background-color: transparent;
  position: absolute;
  z-index: 10;
  bottom: 70px;
  left: 0;
  right: 0;
  width: 100%;
  /* min-width: 1400px; */
  max-width: 1400px;
  margin: auto;
}

.inner-banner .heading_40 {
  margin-bottom: 10px !important;
  text-transform: uppercase;
}

.inner_banner_info {
  display: flex;
  flex-direction: column;
  width: 100%;
  position: relative;
  z-index: 1;
  align-items: center;
}

.banner_bg {
  position: absolute !important;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.inner-banner .banner_bg {
  object-fit: cover;
  height: 100%;
}

.inner-banner:after {
  position: absolute;
  content: "";
  background: transparent linear-gradient(270deg, #16254C00 0%, #16254CB3 100%) 0% 0% no-repeat padding-box;
  bottom: 0;
  top: 0px;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-size: 100% 100%;
  z-index: 0;
}

/*  bREADCRUM */
.breadcums_wrap {
  background-color: #F1F4F9;
}

ul.woo_breadcums {
  width: 100%;
  padding: 15px 0px;
  max-height: 50px;
}

ul.woo_breadcums li {
  list-style: none;
  color: #dfdfdf;
  font-size: 14px;
  font-weight: normal;
  text-transform: capitalize;
  letter-spacing: 0.2px;
  line-height: 20px;
}

ul.woo_breadcums li span {
  padding: 0;
  display: inline-block;
  text-transform: capitalize;
  color: var(--theme-color);
}

ul.woo_breadcums li a {
  position: relative;
  z-index: 0;
  line-height: 100%;
  margin: 0 27px 0 0;
  display: inline-block;
  color: #231F20;
  text-transform: capitalize;
  cursor: pointer;
  font-size: 14px;
  letter-spacing: 0.28px;
  line-height: 1.2;
}

ul.woo_breadcums li a:after {
  position: absolute;
  z-index: 0;
  content: '/';
  top: 0px;
  right: -18px;
  bottom: 0;
  font-size: 14px;
  letter-spacing: 0.28px;
  line-height: 1.2;
  color: #231F20;
  /* background: url(../images/icon/sub_btn_icon.svg) no-repeat; */
  /* background-size: contain; */
}

ul.woo_breadcums li a:hover:after {
  left: unset;
  width: auto;
}

ul.woo_breadcums li a:hover {
  text-decoration: underline;
}

.inner-banner.lg-banner {
  min-height: 698px;
}

.inner-banner.breadcrumb_wrap {
  min-height: auto;
  background: var(--section-bg-dark);
  padding: 15px 0;
}

.breadcrumb_wrap.inner-banner:after {
  content: none;
}

.breadcrumb_wrap ul.woo_breadcums li {
  color: #3D3D3C;
}

.breadcrumb_wrap ul.woo_breadcums li a:after {
  filter: brightness(0);
}


@media (min-width: 991px) {
  .fixed-header .togglebtn {
    top: 30px;
  }

  .nav-menu-wrapper .main-menu {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    height: 100%;
    /* position: relative; */
  }

  .main-menu>li.has-sub {
    position: static;
  }
}

.nav-menu-wrapper .main-menu>li>a {
  font-size: 15px;
  color: #231F20;
  font-weight: bold;
  text-decoration: none;
  text-transform: uppercase;
  position: relative;
  line-height: 1.2;
  letter-spacing: 0.3px;
  display: inline-flex;
  height: 100%;
  align-items: center;
}

.nav-menu-wrapper .main-menu>li a i.menudrop {
  margin-left: 5px;
}

.wc-header-links a span {
  display: block;
  font-size: 13px;
  color: #000000;
  font-weight: 600;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.main-menu {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.main-menu>li {
  position: static;
  display: inline-flex;
  text-align: center;
  align-items: center;
  margin-bottom: 0;
  padding: 0 20px;
  height: 100%;
}


.header-right {
  margin: 17px 0 17px 45px;
  display: flex;
}

.shop-menu>a {
  background-color: #fe0000;
  min-width: 202px;
  min-height: 42px;
  padding: 10px;
  color: #ffffff !important;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
  text-decoration: none;
}

.shop-menu>a img {
  margin-right: 10px;
  display: inline-flex;
}

.shop-menu>a:before {
  position: absolute;
  content: "";
  border-right: 8px solid #ffffff;
  border-width: 3px 4px 3px 0;
  transform: skewX(318deg);
  right: 6px;
  bottom: 0px;
  height: 20px;
  width: 12px;
}

.shop-menu>a:hover,
.shop-menu:hover>a {
  background-color: #000000 !important;
  color: #fff;
}

.main-menu>li .sub-menu {
  right: 0;
  position: absolute;
  top: 100%;
  min-width: 100vw;
  text-align: left;
  border-radius: 0;
  z-index: 10;
  /* background: #ffffff; */
  background-color: #f1f4f9;
  ;
  padding: 0px 20px;
  margin: auto;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
  -webkit-transform: scaleY(0);
  transform: scaleY(0);
  transform-origin: 0 0;
  border-top: 2px solid var(--theme-color);
  box-shadow: none;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
}

.main-menu>li .sub-menu .sub_menu_wrap {
  max-width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: flex-start;
  padding: 0;
}

.main-menu>li:hover .sub-menu {
  -webkit-transform: scaleY(0);
  transform: scaleY(1);
  opacity: 1;
  visibility: visible;
}

.main-menu .sub-menu>ul.manu_locationlist>li {
  display: inline-flex;
  width: calc(50% - 10px);
  padding-left: 22px;
  position: relative;
}

.main-menu .sub-menu>ul.manu_locationlist>li::after {
  content: '';
  position: absolute;
  top: 5px;
  left: 0;
  width: 8px;
  height: 11px;
  background: transparent url(../images/icon/dark_map_pin.svg) no-repeat;
  background-size: contain;
}

.lvl-depth-0>li:not(:last-child) {
  /* border-bottom: 1px solid #dfdfdf;
  padding-bottom: 20px; */
  margin-bottom: 15px;
}

.main-menu .sub-menu>ul>li>a,
.nav-menu-wrapper li.shop-menu .sub-menu .lvl-depth-0 li>.lvl-depth-1 li a {
  /* font-size: 14px;
  text-transform: capitalize;
  font-weight: 500;
  color: #ffffff;
  display: block;
  text-align: center; 
  margin:25px 12.5px
  min-height: 135px;
  min-width: 150px;  
  display: inline-flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  padding: 10px 5px 0;
  margin-bottom:0px; */
  display: inline-flex;
  font-size: 17px;
  letter-spacing: 0.34px;
  color: #231F20;
  font-weight: normal;
  line-height: 1.2;
  margin-bottom: 10px;
}

.main-menu .sub-menu>ul>li>a:hover,
.nav-menu-wrapper li.shop-menu .sub-menu .lvl-depth-0 li>.lvl-depth-1 li a:hover {
  color: var(--theme-color);
}

.main-menu .sub-menu.areas_dropdown>ul {
  text-align: center;
  max-width: 1430px;
  margin: 0 auto;
  padding-left: 15px;
  padding-right: 15px;
  padding-bottom: 10px;
}

.main-menu .sub-menu.areas_dropdown>ul>li>a {
  min-height: auto;
  padding: 10px 5px 10px;
  flex-direction: row;
  width: 100%;
}

.main-menu .sub-menu.areas_dropdown ul.areas-list {
  column-count: auto;
}

.main-menu .sub-menu>ul>li>a>img {
  display: block;
  /* margin: auto; */
  margin-bottom: 5px;
}

.lvl-depth-1 {
  margin-top: 10px;
}

.nav-menu-wrapper li.shop-menu .sub-menu .lvl-depth-0 li a {
  text-transform: capitalize;
  font-weight: 600;
  color: #000000;
  font-size: 16px;
}

.nav-menu-wrapper li.shop-menu .sub-menu .lvl-depth-0 {
  column-count: 2;
}

.nav-menu-wrapper li.shop-menu .sub-menu .lvl-depth-0>li {
  display: inline-block;
}

.main-menu li>.sub-menu>li:not(:last-child),
.nav-menu-wrapper .main-menu li.shop-menu .sub-menu .lvl-depth-0>li:not(:last-child) {
  margin-bottom: 15px;
}

.lvl-depth-1 {
  /* padding-left: 10px; */
  margin-top: 10px;
}

.nav-menu-wrapper li.shop-menu .sub-menu.megamenu {
  width: 80%;
  right: auto;
}

/* ul.lvl-depth-0 ul.lvl-depth-1 > li:not(:last-of-type) {
  padding: 0 0 5px 0;
} */
/* .main-menu .submenu .brand-scrolldropdownmenu {
  width: 100%;
  max-height: 400px;
  overflow-y: auto;
  width: 100%;
}
.main-menu li.brands-dropdown .submenu {
  width: 500px;
  height: 350px;
  overflow-y: auto;
  overflow-x: hidden;
}
.main-menu li.brands-dropdown .submenu > li {
  width: calc(33.33% - 10px);
  float: left;
  margin: 0 5px 7px;
}

.main-menu li.brands-dropdown .submenu::-webkit-scrollbar {
  width: 4px;
  border-radius: 4px;
}
.main-menu li.brands-dropdown .submenu::-webkit-scrollbar-thumb {
  background: rgb(0 0 0 / 30%);
  border-radius: 4px;
}
.main-menu li.brands-dropdown .submenu::-webkit-scrollbar-track {
  background: 0 0;
  border-radius: 4px;
} */

/* drop-down-css */
.sub_link_div {
  display: flex;
  flex-direction: column;
  width: calc(100% - 414px);
  padding-right: 65px;
}

li.sub_links_title {
  font-size: 18px;
  color: var(--theme-color);
  line-height: 1.2;
  letter-spacing: 0.72px;
  font-weight: 600;
  text-transform: capitalize;
  margin-bottom: 15px;
}

.sub_link>li {
  position: relative;
}

.sub_link>li:not(:last-child) {
  margin-bottom: 5px;
}

.sub_link>li>a {
  font-size: 16px;
  color: #3D3D3C;
  line-height: 1.2;
  letter-spacing: 0.64px;
  font-weight: normal;
  display: inline-flex;
  text-transform: capitalize;
  height: 100%;
  width: 100%;
  align-items: center;
}

.sub_link>li>a>span {
  margin-right: 6px;
}

.sub_link>li:hover>a,
.sub_link>li:hover::after {
  color: #1fa361 !important;
}

.sub_link_div>.sub_link:not(:first-child) {
  margin-top: 50px;
}

.sub_link>li:not(.sub_links_title):after {
  content: '\f077';
  font-family: FontAwesome;
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  width: 5.65px;
  height: 9px;
  color: #787878;
  transform: rotate(90deg);
  margin: auto;
  display: inline-flex;
  justify-content: center;
  font-weight: 100;
}

/* .brands-drop-list .sub_menu_wrap > .img-wrap { display: none; } */
.brands-drop-list .sub_menu_wrap>.sub_link_div {
  padding-right: 20px;
}

.brands-drop-list .sub_menu_wrap>.sub_link_div>.sub_link {
  column-count: 1;
}

.brands-drop-list .sub_link>li>a>span {
  display: none;
}

.brands-drop-list .sub_link>li:not(:last-child) {
  margin-bottom: 9px;
}

/* drop-down-css */

/* search-input */
.search-wrap {
  position: relative;
  max-height: 44px;
  min-width: 380px;
  margin-right: 70px;
}

.search-wrap .aws-container {
  width: 100%;
}

.search-wrap>.form-control {
  height: 40px;
  padding: 12px 30px 12px 20px;
}

.search-wrap>a {
  display: inline-flex;
  position: absolute;
  top: 0px;
  right: 20px;
  bottom: 0px;
  height: 17px;
  width: 17px;
  margin: auto;
}

/* search-input */

/* order-detail */
.order-detail {
  height: 48px;
  padding: 0px 24px;
  margin: auto;
  border: 1px solid #D6D6D6;
  border-radius: 4px;
  line-height: 100%;
  display: inline-flex;
  align-items: center;
}

.order-detail:hover {
  border: 1px solid var(--theme-color);
  color: var(--theme-color);
}

.order-detail>span {
  position: relative;
  display: inline-block;
  margin-right: 12px;
}

/* order-detail */
.fixed-header .mainheader .main-menu>li>a {
  color: #000000;
}

.sub-menu.areas_dropdown>ul>li {
  /* width: 33.33%; */
  min-width: 175px;
  justify-content: flex-start;
  width: calc(21% - 25px);
}

@media (max-width: 1900px) {

  .header-right {
    margin: 17px 0 17px 10px;
  }

  .main-menu>li {
    padding: 0 15px;
  }


}

@media (max-width: 1599.98px) {
  .nav-menu-wrapper {
    padding-left: 10px;
  }

  .header-right [class*="btn_"] {
    padding: 10px;
    min-width: auto;
  }

  .nav-logo {
    margin: -75px auto 0 30px;
  }

  .h_wrapper {
    padding: 0 30px;
  }

  .inner-banner:after {
    background-size: cover;
  }

  .main-menu>li {
    padding: 0 15px;
  }
}

@media (max-width: 1439.98px) {
  .h_wrapper {
    padding: 0 20px;
  }

  .search-header form input {
    width: 280px;
  }

  .main-menu>li {
    padding: 0 15px;
  }

  .wc-header-links a {
    margin-left: 15px;
  }

  .main-menu>li.shop-menu>a {
    min-width: auto;
  }

  .nav-menu-wrapper .main-menu>li>a {
    font-size: 14px;
  }

  .header-right {
    margin: 20px 0 20px 20px;
  }

  .search-wrap {
    min-width: 150px;
    width: 150px;
    margin-right: 10px;
  }

  .search-wrap .form-control {
    padding: 15px 5px;
  }

  .main-menu>li {
    padding: 0 10px;
  }

  .nav-logo {
    max-width: 200px;
  }

  .search-wrap>a {
    right: 7px;
  }

  .top-right-links>li.search-wrap,
  .nav-menu-wrapper .main-menu>li>a>i:not(.menudrop)>img {
    display: none !important;
  }
}

@media (max-width: 1199.98px) {
  .h_wrapper {
    padding: 0 10px;
  }

  .header-right a.call {
    font-size: 14px;
  }

  .main-menu>li {
    padding: 0 5px;
  }

  .header-right a:not(:last-of-type) {
    margin-right: 10px;
  }

  .header-right [class*="btn_"] {
    min-width: auto;
    font-size: 14px;
  }

  .nav-logo {
    width: 173px;
  }

  .main-menu>li {
    padding: 0 5px;
  }

  .header-right>.btn_theme {
    border-radius: 0px;
  }

  .main-menu .sub-menu.areas_dropdown>ul>li>a {
    text-align: left;
    align-items: flex-start;
  }

  .header-right {
    margin: 15px 0 15px 20px;
  }

}

@media (max-width: 991.98px) {
  .togglebtn span {
    position: relative;
    display: block;
    margin-top: 8px;
    vertical-align: top;
    margin-top: 0;
    border-radius: 10px;
    margin: 0 auto;
  }

  .togglebtn span::before {
    top: 6px;
    width: 22px;
    height: 2px;
    left: 0;
  }

  .togglebtn span::after {
    top: 12px;
  }

  .togglebtn span::before,
  .togglebtn span::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: 0.2s ease all;
    transition: 0.2s ease all;
  }

  .togglebtn span,
  .togglebtn span::before,
  .togglebtn span::after {
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    /*width: 20px;height:2px;*/
    border-radius: 0px;
    border-radius: 6px;
  }

  .togglebtn span,
  .togglebtn span::before,
  .togglebtn span::after {
    background-color: #16254C;
  }

  .togglebtn {
    position: fixed;
    right: 15px;
    top: 90px;
    display: block;
    text-align: center;
    width: 22px;
    height: 24px;
    border: 0;
    border-radius: 100%;
    border: 0px solid #4caf50;
    cursor: pointer;
    z-index: 1001;
    padding: 10px 0;
    background: transparent;
  }

  .togglebtn.active {
    top: 80px;
  }

  .fixed-header .togglebtn {
    top: 35px;
  }

  .togglebtn.active span::before {
    -webkit-transform: rotate(45deg) translateY(0px);
    transform: rotate(45deg) translateY(0px);
    /* -webkit-transform-origin: 35% 15%;
    transform-origin: 35% 15%; */
    width: 22px;
    background-color: #ffffff;
  }

  .togglebtn.active span::after {
    -webkit-transition-delay: 0.09s;
    top: 6px;
    transition-delay: 0.09s;
    -webkit-transform: rotate(45deg) translateY(0px);
    transform: rotate(-45deg) translateY(0px);
    /* -webkit-transform-origin: 15% 95%;
    transform-origin: 15% 95%; */
    background-color: #ffffff;
  }

  .togglebtn.active span {
    background-color: transparent;
  }

  .togglebtn span,
  .togglebtn span::after {
    width: 22px;
    height: 2px;
    border-radius: 0px;
  }

  .header-right {
    margin-right: 50px;
  }

  .overlay.active {
    position: absolute;
    left: 0;
    right: 0;
    background: #0000006e;
    width: 100%;
    height: calc(100vh - 70px);
    bottom: 0;
    top: 70px;
    z-index: 10;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
  }

  .fixed-header .overlay.active,
  .fixed-header .nav-menu-wrapper .main-menu {
    height: calc(100vh - 70px);
  }

  .fixed-header .nav-menu-wrapper .main-menu,
  .fixed-header .overlay.active {
    top: 70px;
  }

  .nav-menu-wrapper {
    display: inline-flex;
    align-items: center;
  }

  .nav-menu-wrapper .main-menu {
    position: fixed;
    left: auto;
    top: 70px;
    right: 0;
    bottom: 0;
    z-index: 111;
    display: none;
    width: 100%;
    max-width: 450px;
    padding: 0 0px;
    background: #16254C;
    height: calc(100% - 70px);
    overflow: auto;
    justify-content: flex-end;
    transform: translate3d(100vw, 0px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
    transform-style: preserve-3d;
    will-change: transform;
    display: flex;
    flex-flow: column;
    justify-content: flex-start;
    align-items: flex-start;
    overflow-y: scroll;
  }

  .main-menu.active {
    transform: translate3d(0vw, 0px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
    transform-style: preserve-3d;
  }

  .main-menu>li {
    display: block !important;
    width: 100%;
    text-align: left;
    height: auto;

    padding: 0 20px;
  }

  .main-menu>li:nth-last-child(2)>a {
    border-bottom: 0px !important;
  }

  .nav-menu-wrapper .main-menu>li>a {
    display: block;
    padding: 15px 0;
    border-bottom: 1px solid rgb(83 83 83 / 30%);
    font-weight: normal;
  }

  .nav-menu-wrapper .main-menu>li a {
    color: #BCBEC4;
    text-transform: capitalize;
    font-size: 16px;
  }

  .main-menu>li .sub-menu {
    position: static;
    min-width: 100%;
    display: none;
    background: transparent;
    padding: 15px;
    visibility: inherit;
    opacity: unset;
    transform: none;
    box-shadow: none;
    min-height: 100%;
  }

  .nav-menu-wrapper .main-menu>li a i.menudrop {
    width: 30px;
    text-align: center;
    position: absolute;
    right: 0px;
    top: 15px;
    margin: 0;
    height: 30px;
    line-height: 30px;
  }

  .header-right>.btn_theme {
    max-height: 46px;
  }

  /* .header-right { margin-right: 0px;} */
  .top-left-links>a {
    display: none;
  }

  .top-left-links>a:last-of-type {
    margin-right: 0px;
    display: inline-flex;
  }

  .mainheader {
    max-height: 146px;
  }

  .main-menu>li .sub-menu .sub_menu_wrap {
    flex-wrap: wrap;
  }

  .main-menu>li .sub-menu .sub_menu_wrap>li {
    width: 100%;
    justify-content: flex-start;
  }

  .main-menu .sub-menu>ul>li>a>img {
    display: none;
  }

  .main-menu .sub-menu>ul>li>a {
    min-height: auto;
    min-width: auto;
    padding: 0px;
    padding-left: 10px;
  }

  .main-menu .sub-menu>ul>li:not(:last-child)>a {
    margin-bottom: 15px;
    text-align: left;
    color: white;
  }

  .main-menu>li .sub-menu {
    padding: 10px 0px;
  }

  .main-menu>li .sub-menu .sub_menu_wrap {
    padding: 0;
  }

  .main-menu .sub-menu.areas_dropdown>ul {
    padding: 0px;
  }

  .sub-menu.areas_dropdown>ul>li {
    width: 100%;
  }

  .main-menu .sub-menu.areas_dropdown>ul>li>a {
    margin-bottom: 5px !important;
  }

  .fixed-header .togglebtn {
    top: 100px;
    padding: 0;
  }

  .fixed-header .togglebtn.active {
    top: 90px;
  }

  .nav-menu-wrapper .main-menu>li>a {
    height: auto;
  }

  .main-menu>li .sub-menu .sub_menu_wrap>.img-wrap {
    display: none;
  }

  .sub_link_div {
    width: 100%;
    padding-right: 0px;
  }

  .sub_link>li>a>span {
    display: none;
  }

  li.sub_links_title {
    font-size: 16px;
  }

  .sub_link_div>.sub_link:not(:first-child) {
    margin-top: 20px;
  }

  .order-detail>span {
    display: inline-block;
  }

  .top-right-links>li,
  .top-left-links>li {
    margin-right: 20px;
  }

  .fixed-header .togglebtn.active span::after,
  .fixed-header .togglebtn.active span::before {
    background-color: #ffffff !important;
  }

  .fixed-header .mainheader .main-menu>li>a {
    color: #ffffff;
  }

  .top-right-links>li>.time_info {
    margin-right: 10px;
  }

  .top-right-links>li,
  .top-left-links>li {
    margin-right: 10px;
  }

  .cart_text {
    display: none;
  }

  .nav-menu-wrapper .main-menu>li>a:after {
    display: none;
  }

  .top-right-links>li.search-wrap,
  .nav-menu-wrapper .main-menu>li>a>i:not(.menudrop) {
    position: relative;
    margin-right: 25px;
  }

  .top-right-links>li.search-wrap,
  .nav-menu-wrapper .main-menu>li>a>i:not(.menudrop)::after {
    content: '';
    position: absolute;
    height: 16px;
    width: 11px;
    display: inline-flex;
    align-items: center;
    top: 5px;
    left: 0;
    background: transparent url(../images/icon/slick_arrow-prev.svg) no-repeat;
    filter: invert(99%) sepia(100%) saturate(0%) hue-rotate(154deg) brightness(108%) contrast(100%);
  }

  .el-depth-1 {
    position: relative;
    margin: 0;
    width: 100%;
    padding-left: 15px;
  }

  ul.sub-menu.lvl-depth-1.childmenu {
    position: relative;
    left: unset;
    top: unset;
    max-width: 100%;
    min-width: auto;
    height: 100%;
    overflow: hidden;
    column-count: 1;
    z-index: 2;
    border-radius: 0px;
    background-color: #ffffff00;
    border-bottom: 2px solid var(--theme-color);
    padding-top: 20px;
    padding-top: 12px;
  }

  .el-depth-1>a {
    min-width: 100%;
  }

  .h_wrapper {
    position: relative;
  }
}

@media (max-width: 767.98px) {
  .sec_hmbanner::before {
    content: none;
  }

  .h_wrapper {
    padding: 0 15px;
  }

  .header_top {
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
  }

  .mainheader {
    position: relative;
    background: #132728;
  }

  .htop_left {
    display: none;
  }

  .htop_right,
  .htop-menu-link {
    width: 100%;
  }

  .htop-menu-link {
    justify-content: space-between;
  }

  .htop-menu-link>li:first-of-type {
    padding-left: 0;
  }

  .htop-menu-link>li {
    padding: 7px 10px;
  }

  .inner-banner {
    min-height: 300px;
    background: #132728;
    padding-top: 0px;
  }

  section img.bgimg {
    opacity: 0.9;
  }

  .inner-banner::before {
    content: none;
  }

  .img-item>img,
  .border-radius40 {
    border-radius: 10px;
  }

  .mainheader {
    background-color: transparent;
    -webkit-transition: 0.3s;
    transition: 0.3s;
    position: absolute;
    z-index: 10;
    width: 100%;
  }

  .banner-wrapper-slide {
    min-height: 588px;
  }

  .banner-wrapper-slide>img.banner-item {
    min-height: 588px;
    object-fit: cover;
  }

  .top-left-links>a:last-of-type {
    max-height: 46px;
  }

  .h_wrapper {
    flex-wrap: nowrap !important;
  }

  .top-right-links li>a {
    font-size: 0px;
  }

  .top-right-links>li>.time_info {
    display: none;
  }

}

@media (max-width: 575.98px) {

  .header-right [class*="btn_"] {
    width: 50%;
    margin: 0;
    border-radius: 0;
  }

  .htop-menu-link>li span {
    display: none;
  }

  .htop-menu-link>li:last-of-type {
    padding-right: 10px;
  }

  .htop-menu-link>li:first-of-type {
    padding-left: 10px;
  }

  .htop-menu-link>li>a i {
    margin-left: 0;
  }

  .header-right {
    position: absolute;
    top: unset;
    width: 100%;
    left: 0;
    bottom: 0;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    background-color: #16254C;
    margin: 0;
  }

  .header-right>.btn_theme {
    width: 50%;
    max-height: 50px;
  }

  .mainheader {
    min-height: 116px;
  }

  .fixed-header .overlay.active {
    top: 150px;
  }

  /* .fixed-header .togglebtn.active {top: 43px; } */
  .top-header {
    height: 50px;
  }

  .nav-logo {
    top: 33px;
    left: 0px;
    width: 140px;
    z-index: 1;
    bottom: inherit;
  }


  /* .top-right-links li > a > *:not(span) { display: none !important;} */
  .fixed-header .togglebtn {
    top: 78px;
  }

  .top-right-links {
    position: absolute;
    bottom: unset;
    top: 58px;
    z-index: 10;
    right: 53px;
  }

  .top-right-links>li.hidden {
    display: inline-flex;
  }

  .order-detail,
  /*.favorite,*/
  .accout-link_cart {
    display: none !important;
  }

  li.accout_wrap {
    display: none;
  }

  .top-right-links li>a>span {
    background-color: #16254C;
    margin-right: 4px;
    border: 1px solid white;
  }

  .top-right-links>li,
  .top-left-links>li {
    margin-right: 0px;
  }

  .top-right-links>li.mobile_search {
    display: block;
  }

  .togglebtn,
  .togglebtn.active {
    top: 68px;
  }

  .fixed-header .togglebtn.active {
    top: 78px;
  }

  .nav-menu-wrapper .main-menu {
    top: 116px;
    height: calc(100% - 145px);
    width: 100%;
    max-width: 100%;
  }

  .fixed-header .nav-menu-wrapper .main-menu,
  .fixed-header .overlay.active {
    top: 145px;
    height: calc(100% - 145px);
  }

  .overlay.active {
    top: 145px;
    height: calc(100% - 145px);
  }

  .togglebtn.active span::before,
  .togglebtn.active span::after {
    background-color: #000000;
  }

  .top-right-links li>a>.searchtop_icon>span {
    background-color: #16254C;
    margin-right: 4px;
    border: 1px solid white;
    display: inline-flex;
    height: 42px;
    width: 42px;
    justify-content: center;
    border-radius: 100%;
    padding: 12px;
  }

  .fixed-header .nav-menu-wrapper .main-menu,
  .fixed-header .overlay.active {
    top: 116px;
    height: calc(100% - 116px);
  }


  .fixed-header .togglebtn.active span::after,
  .fixed-header .togglebtn.active span::before {
    background-color: #000 !important;
  }


}

body.menuoverlay main {
  filter: blur(4px);
}

.fixed-header .mainheader {
  -moz-transition: height 0.3s;
  will-change: height ease;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  -webkit-animation: 0.7s ease-in-out 0s normal none 1 running fadeInDown;
  animation: 0.7s ease-in-out 0s normal none 1 running fadeInDown;
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
  z-index: 99;
  background-color: var(--white);
}

.fixed-header .mainheader .header_top {
  transform: translateY(-30px);
  position: absolute;
}

@-webkit-keyframes fadeInDown {
  0% {
    -webkit-transform: translate3d(0, -100%, 0);
    opacity: 0;
    transform: translate3d(0, -100%, 0);
  }

  to {
    -webkit-transform: translateZ(0);
    opacity: 1;
    transform: translateZ(0);
  }
}

@keyframes fadeInDown {
  0% {
    -webkit-transform: translate3d(0, -100%, 0);
    opacity: 0;
    transform: translate3d(0, -100%, 0);
  }

  to {
    -webkit-transform: translateZ(0);
    opacity: 1;
    transform: translateZ(0);
  }
}

.fadeInDown {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}

@media (hover: hover) {
  .nav-menu-links ul.main-menu>li.has-sub:hover>a:after {
    content: "";
    position: absolute;
    bottom: -28px;
    left: 50%;
    margin-left: -12px;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 6px solid #01aeef;
    clear: both;
  }

  .nav-menu-links ul.main-menu>li>a:hover,
  .nav-menu-links ul.main-menu>li.active>a {
    text-decoration: none !important;
    transform: none !important;
    box-shadow: none !important;
  }
}

.nav-menu-wrapper .main-menu>li.active>a,
.nav-menu-wrapper .main-menu>li:hover>a,
.main-menu .sub-menu>li.active>a,
.main-menu .sub-menu>li:hover>a {
  color: var(--theme-color);
}